Name:       gnome-shell-extension-do-not-disturb-button
Summary:    Hide desktop notifications until you're ready to look at them
Version:    15
Release:    2%{?dist}
URL:        https://extensions.gnome.org/extension/964/do-not-disturb-button/
License:    GPLv2
BuildArch:  noarch

# Norman L. Smith tracks a few different Shell extensions in the same GitHub
# repo, and does not tag commits for releases of any of them. So, see the latest
# source release of Do Not Disturb Button here:
# https://nls1729.github.io/donotdisturb_button_zip.html
Source0: https://extensions.gnome.org/extension-data/donotdisturb-button@nls1729.v%{version}.shell-extension.zip

Requires: gnome-shell >= 3.16
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Do Not Disturb Button provides a panel button to temporarily hide incoming
notifications in GNOME Shell. A count of notifications appears next to the panel
button, and notifications remain hidden in the notifications message tray, until
you choose to show and dismiss them. You can also assign a keyboard shortcut to
toggle the Do Not Disturb status.

(Do Not Disturb Button allows you to set the "available" or "busy" status for
desktop notifications only, not the status of chat or other applications
connected to GNOME's Online Accounts.)

**NOTE:** After installing, each user that wants it must still manually enable
Do Not Disturb Button before it will be usable. You can do so a few different
ways:

* If you've already installed the GNOME Shell integration web browser plugin,
  go to <https://extensions.gnome.org/local/>, find the extension, and click
  the switch to "ON."
* Open GNOME Tweak Tool, go to the Extensions tab, find the extension, and click
  the switch to "ON."
* Open a terminal or the desktop's command dialog, and (as your normal user
  account) run `gnome-shell-extension-tool --enable donotdisturb-button@nls1729`

You may also need to restart GNOME Shell (Open the command dialog with Alt-F2,
type `r`, and hit enter), or log out and log back in.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  donotdisturb-button@nls1729
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -c %{name}-%{version}

%build
# No compiling necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}

# COPYING and README also get copied to standard documentation and license
# locations, so we don't need them here.
rm  %{final_install_dir}/COPYING  %{final_install_dir}/README.txt

# RPM will take care of gschemas, we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.donotdisturb-button.gschema.xml  \
	%{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/

mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang donotdisturb-button-extension



%files -f donotdisturb-button-extension.lang
%doc README.txt
%license COPYING
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.donotdisturb-button.gschema.xml



%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 25 2017 Andrew Toskin <andrew@tosk.in> - 15-1
- Bump to upstream version 15, which adds some more display options.

* Sat Apr 08 2017 Andrew Toskin <andrew@tosk.in> - 13-1
- Update to upstream version 13, which includes some subtle UI changes.

* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 11-1
- First build accepted into Fedora repos.
